PROGRAM cretastst;

%INCLUDE LB:[22,320]GENERAL3.TYP;
%INCLUDE de:[22,320]cretas.EXT;

VAR
  test_string : PACKED ARRAY [1..12] OF CHAR;
  dec : INTEGER;
  test_num : REAL;

BEGIN { main }
  REPEAT
    write('Test real:');
    READLN(test_num);
    WRITE('Decimal postion:');
    READLN(dec);
    cretas(test_string,test_num,dec);
    WRITELN(test_num:15:8);
    writeln(test_string);
  UNTIL dec < 1;
END.
